#
# spec file for package slang (Version 1.4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         slang
Copyright:    GPL
Group:        System Environment/Libraries
Version:      1.4.4
Release:      95
Provides:     slang%{version} 
Autoreqprov:  on
Summary:      Display control
URL:          http://space.mit.edu/%7Edavis/slang.html
Source:       ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Patch:        slang-%{version}.dif
Patch1:       slang-1.4.4-ege2-utf8.diff.gz
BuildRoot:    /var/tmp/%{name}-build

%description
Library with routines for display access. Similar to ncurses, but
it has its own programming interface. Slang uses the entries in
/usr/lib/terminfo.

Authors:
--------
    John E. Davis <davis@amy.tch.harvard.edu>

SuSE series: d

%prep
%setup -n slang-%{version}
%patch
%patch -P 1 -p0
cp autoconf/* .
mv acsite.m4 aclocal.m4
%{?suse_update_config:%{suse_update_config -f autoconf}}
autoconf

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --enable-wide-chars
make elf
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
make prefix="$RPM_BUILD_ROOT"/usr install install-elf install-links

%files
%doc doc/text/*.txt README COPY* *.txt doc/*.html
/usr/include/slang.h
/usr/include/slcurses.h
/usr/lib/libslang.so.%{version}
/usr/lib/libslang.a
/usr/lib/libslang.so
/usr/lib/libslang.so.1

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n slang
* Wed Jun 13 2001 - schwab@suse.de
- Fix use of %%suse_update_config.
* Thu Jun 07 2001 - bjacke@suse.de
- apply UTF-8 patch from http://www.rano.org/mutt/
* Wed Jun 06 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Mon Feb 26 2001 - nadvornik@suse.cz
- update to 1.4.4
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Fri Sep 15 2000 - nadvornik@suse.cz
- update to 1.4.2
- used suse_update_config
* Wed Jul 19 2000 - nadvornik@suse.cz
- added libslang.so.1 symlink (Bug#: 3545)
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Fri Mar 24 2000 - nadvornik@suse.cz
- added URL
* Mon Mar 13 2000 - nadvornik@suse.cz
- upgrade to version 1.4.0
- removed Makefile.Linux
- added BuildRoot
* Thu Oct 07 1999 - fehr@suse.de
- recognize alternat xterm cursor sequences when doing line editing
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 21 1999 - fehr@suse.de
- changed one patch slightly
* Tue Jun 30 1998 - fehr@suse.de
- integrate setuid security patches from Alan Cox in dif-file
- change to version 1.2.2
* Tue Jun 30 1998 - fehr@suse.de
- add security patches from Alan Cox (overflow, setuid, termdir)
- add dynamic version of slang library
- install documentation to /usr/doc/packages/slang
* Wed Jan 22 1997 - florian@suse.de
- update to version 0.99-38
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.99-37
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.99-36 and add bug-fixes from mutt
* Thu Jan 02 1997 - florian@suse.de
- update to new version 0.99-35
